/* idperrc.h */

/* IDP error codes */

#ifndef __IDPERRC_H__
#define __IDPERRC_H__


#define IDP_E_CONTEXT				0x80040201
#define IDP_E_FILE_NOT_FOUND		0x80040202
#define IDP_E_FILE_ERROR			0x80040203
#define IDP_E_INVALID_FILE			0x80040204
#define IDP_E_BUFFER_SIZE			0x80040205
#define IDP_E_INVALID_URL			0x80040206
#define IDP_E_INVALID_OPTION		0x80040207
#define IDP_E_REQUEST_FAILED		0x80040208
#define IDP_E_CRYPT					0x80040209
#define IDP_E_NO_ENDPOINT			0x8004020a
#define IDP_E_INVALID_KEYBLOB		0x8004020b
#define IDP_E_FAIL					0x8004020c
#define IDP_E_NOT_FOUND				0x8004020d
#define IDP_E_NO_KEYID				0x8004020e
#define IDP_E_NO_CONFIG				0x8004020f
#define IDP_E_KEY_NOT_FOUND			0x80040210
#define IDP_E_UNEXPECTED			0x80040211
#define IDP_E_NO_DEFAULT_PATH		0x80040212
#define IDP_E_REQUEST_ERROR			0x80040213
#define IDP_E_VERIFY_FAILED			0x80040214
#define IDP_E_INVALID_DATE			0x00040215
#define IDP_E_INVALID_HANDLE		0x80040216
#define IDP_E_OUT_OF_MEMORY			0x80040217
#define IDP_E_PARAMETER				0x80040218
#define IDP_E_RESOURCE_NOT_FOUND	0x80040219

#define IDP_HTTP_BASE				0x80042000
#define IDP_HTTP_INVALID_URL		0x80042019
#define IDP_HTTP_INVALID_PROTOCOL	0x80042020
#define IDP_HTTP_DNS_ERROR			0x80042021
#define IDP_HTTP_INVALID_RESPONSE	0x80042022
#define IDP_HTTP_INVALID_STATE		0x80042023
#define IDP_HTTP_END				0x80042fff

#define IDP_SOCKET_BASE				0x80043000
#define IDP_SOCKET_END				0x80043fff

#define IDP_SSL_BASE				0x80044000
#define IDP_SSL_END					0x80044fff

#define IDP_S_OK				0

#endif

